Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum AsyncCommand.Status

    java.lang.Object
      java.lang.Enum<AsyncCommand.Status>
          org.drupal.project.async_command.AsyncCommand.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AsyncCommand.Status>

Enclosing class:
  AsyncCommand

    public static enum AsyncCommand.Status

extends java.lang.Enum<AsyncCommand.Status>

Enum Constant Summary
`FAILURE`
`FORCED_STOP`
`INTERNAL_ERROR`
`PENDING`
`RUNNING`
`SUCCESS`
`UNRECOGNIZED`

Method Summary
`static AsyncCommand.Status` | `parse(java.lang.String token)`
`java.lang.String` | `toString()`
`static AsyncCommand.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AsyncCommand.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUCCESS

    public static final AsyncCommand.Status SUCCESS

### FAILURE

    public static final AsyncCommand.Status FAILURE

### RUNNING

    public static final AsyncCommand.Status RUNNING

### FORCED_STOP

    public static final AsyncCommand.Status FORCED_STOP

### UNRECOGNIZED

    public static final AsyncCommand.Status UNRECOGNIZED

### PENDING

    public static final AsyncCommand.Status PENDING

### INTERNAL_ERROR

    public static final AsyncCommand.Status INTERNAL_ERROR

Method Detail

### values

    public static AsyncCommand.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AsyncCommand.Status c : AsyncCommand.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AsyncCommand.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AsyncCommand.Status>`

### parse

    public static AsyncCommand.Status parse(java.lang.String token)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD